package com.oguerreiro.resilient.error;

public class InventoryImportVariableClassNotFoundException extends ResilientException {
	private static final String CODE = "E001";
	
	public InventoryImportVariableClassNotFoundException(String sheetName, int row, String variableCode, String classCode) {
		super("Sheet [" + sheetName + "]; Row[" + row + "]; Variable Code [" + variableCode + "]; The class code [" + classCode + "] wasn't found.");
		
		addMessageArg(sheetName);
		addMessageArg(row);
		addMessageArg(variableCode);
		addMessageArg(classCode);
	}
	
	@Override
	public String getMessageCode() {
		return CODE;
	}

}
